server.document-root        = "/srv/nextcloud/nextcloud/"
server.errorlog             = "/srv/nextcloud/error.log"
server.pid-file             = "/srv/nextcloud/lighttpd.pid"
server.port                 = 1025

server.modules += (
	"mod_cgi",
	"mod_dirlisting",
	"mod_staticfile",
)
cgi.assign = (
 ".sh" => "/bin/bash",
 ".php" => "/usr/bin/php" 
)
index-file.names            = ( "index.sh", "index.php", "index.html" )
# static-file.exclude-extensions = ( ".php", ".pl", ".fcgi" )

# default listening port for IPv6 falls back to the IPv4 port
# include_shell "/usr/share/lighttpd/use-ipv6.pl " + server.port
include_shell "/usr/share/lighttpd/create-mime.conf.pl"
# include "/etc/lighttpd/conf-enabled/*.conf"

#server.compat-module-load   = "disable"
